AI 模型接口视频(Videos)原厂 MiniMax 风格

创建视频生成任务

MiniMax H3 视频生成 V2 原厂接口。异步创建任务并返回 task_id;请调用“查询任务”接口轮询状态与结果。

POST
/v2/video_generation

Header Parameters

Authorization*string

Bearer API Key。

Content-Type*string

请求体媒介类型,固定为 application/json。

Request Body

application/json

所有场景必须包含一个非空 text 项。content 的每一项只允许声明一种输入类型;请求体总大小不超过 64 MB。

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/video_generation" \  -H "Authorization: string" \  -H "Content-Type: string" \  -H "Content-Type: application/json" \  -d '{    "model": "MiniMax-H3",    "content": [      {        "type": "text",        "text": "string"      }    ],    "resolution": "2K",    "duration": 5  }'
{
  "task_id": "string"
}
{
  "type": "string",
  "error": {
    "type": "string",
    "message": "string",
    "http_code": "string"
  },
  "request_id": "string"
}
{
  "type": "string",
  "error": {},
  "request_id": "string"
}
{
  "type": "string",
  "error": {},
  "request_id": "string"
}
{
  "type": "string",
  "error": {},
  "request_id": "string"
}
{
  "type": "string",
  "error": {},
  "request_id": "string"
}
{
  "type": "string",
  "error": {},
  "request_id": "string"
}

这篇文档对您有帮助吗?